# EcologicalNetworks.jl

This `julia` package provides a common interface to analyze all types of data
on ecological networks. It is designed to be general, easy to expand, and work
on bipartite/unipartite as well as deterministic/quantitative/probabilistic
networks. The current version is compatible with `julia` version 1.5 and up.

[![](https://img.shields.io/badge/docs-stable-blue.svg)](https://ecojulia.github.io/EcologicalNetworks.jl/stable)
[![](https://img.shields.io/badge/docs-dev-orange.svg)](https://ecojulia.github.io/EcologicalNetworks.jl/dev)

## Getting started

Install (from the package mode):

~~~
add EcologicalNetworks
~~~

Optionally, if you want to visualize networks, install

```
add EcologicalNetworksPlots
```

To access network data stored in [mangal.io](http://mangal.io), install

```
add Mangal
```

That's it. Now head over to the
[documentation](http://EcoJulia.github.io/EcologicalNetworks.jl/stable/).

## How's the code doing?

### Released version

[![DOI](https://zenodo.org/badge/25148478.svg)](https://zenodo.org/badge/latestdoi/25148478)
[![license](https://img.shields.io/badge/license-MIT%20%22Expat%22-yellowgreen.svg)](https://github.com/EcoJulia/EcologicalNetworks.jl/blob/master/LICENSE.md)

[![GitHub tag](https://img.shields.io/github/tag/EcoJulia/EcologicalNetworks.jl.svg)]()
[![GitHub issues](https://img.shields.io/github/issues/EcoJulia/EcologicalNetworks.jl.svg)]()
[![GitHub pull requests](https://img.shields.io/github/issues-pr/EcoJulia/EcologicalNetworks.jl.svg)]()

### On `master`

![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/CI/badge.svg?branch=master)
![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/TagBot/badge.svg?branch=master)
![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/CompatHelper/badge.svg?branch=master)
[![codecov.io](http://codecov.io/github/EcoJulia/EcologicalNetworks.jl/coverage.svg?branch=master)](http://codecov.io/github/EcoJulia/EcologicalNetworks.jl?branch=master)

### On `develop`

![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/CI/badge.svg?branch=develop)
![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/TagBot/badge.svg?branch=develop)
![CI](https://github.com/EcoJulia/EcologicalNetworks.jl/workflows/CompatHelper/badge.svg?branch=develop)
[![codecov.io](http://codecov.io/github/EcoJulia/EcologicalNetworks.jl/coverage.svg?branch=develop)](http://codecov.io/github/EcoJulia/EcologicalNetworks.jl?branch=develop)
